{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "aga",
    "gpg",
    "aga"
  ],
  "key": {
    "a": "minecraft:amethyst_shard",
    "g": "minecraft:gold_ingot",
    "p": "minecraft:ender_pearl"
  },
  "result": {
    "id": "waystones:warp_stone",
    "count": 1
  }
}